﻿using System;
using System.Configuration;
using System.Web;

namespace Asp.Net.Modules
{
    public sealed class MicrosoftAdCenterModule : FilterModuleBase
    {
        public override void Init(HttpApplication context)
        {
            context.ReleaseRequestState += InjectScript;
        }

        private void InjectScript(object sender, EventArgs e)
        {
            MicrosoftAdCenterSection configuration = (MicrosoftAdCenterSection)ConfigurationManager.GetSection(MicrosoftAdCenterSection.ConfigPath);
            HttpApplication application = (HttpApplication)sender;
            application.Response.Filter = new ScriptInjectionFilter(application.Response.Filter, application.Response.ContentEncoding, string.Format(Script, configuration.ProfileId));
        }

        private const string Script =
@"<script language=""javascript"" type=""text/javascript"" src=""http://analytics.live.com/Analytics/msAnalytics.js""></script>
<script language=""javascript"" type=""text/javascript"">
msAnalytics.ProfileId = '{0}';
msAnalytics.TrackPage();
</script>";
    }
}