﻿using System.Configuration;

namespace Asp.Net.Modules
{
    public sealed class GoogleAnalyticsSection : ConfigurationSection
    {
        [ConfigurationProperty(ConfigAttribute_AccountId, IsRequired = true)]
        public string AccountId
        {
            get
            {
                return (string)this[ConfigAttribute_AccountId];
            }
            set
            {
                this[ConfigAttribute_AccountId] = value;
            }
        }

        public const string ConfigPath = Utils.ModulesConfigRoot + "googleAnalytics";
        private const string ConfigAttribute_AccountId = "accountId";
    }
}