﻿using System;
using System.Configuration;
using System.Web;

namespace Asp.Net.Modules
{
    public sealed class GoogleAnalyticsModule : FilterModuleBase
    {
        public override void Init(HttpApplication context)
        {
            context.ReleaseRequestState += InjectScript;
        }

        private void InjectScript(object sender, EventArgs e)
        {
            GoogleAnalyticsSection configuration = (GoogleAnalyticsSection)ConfigurationManager.GetSection(GoogleAnalyticsSection.ConfigPath);
            HttpApplication application = (HttpApplication)sender;
            application.Response.Filter = new ScriptInjectionFilter(application.Response.Filter, application.Response.ContentEncoding, string.Format(Script, configuration.AccountId));
        }

        private const string Script = @"<script type=""text/javascript"">
var gaJsHost = ((""https:"" == document.location.protocol) ? ""https://ssl."" : ""http://www."");
document.write(unescape(""%3Cscript src='"" + gaJsHost + ""google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E""));
</script>
<script type=""text/javascript"">
var pageTracker = _gat._getTracker(""{0}"");
pageTracker._initData();
pageTracker._trackPageview();
</script>";
    }

}