﻿using System.Configuration;

namespace Asp.Net.Modules
{
    public sealed class MicrosoftAdCenterSection : ConfigurationSection
    {
        [ConfigurationProperty(ConfigAttribute_ProfileId, IsRequired = true)]
        public string ProfileId
        {
            get
            {
                return (string)this[ConfigAttribute_ProfileId];
            }
            set
            {
                this[ConfigAttribute_ProfileId] = value;
            }
        }

        public const string ConfigPath = Utils.ModulesConfigRoot + "microsoftAdCenter";
        private const string ConfigAttribute_ProfileId = "profileId";
    }
}