﻿using System;
using System.Web;
using System.Configuration;

namespace Asp.Net.Modules
{
    public sealed class ScriptInjectorModule : FilterModuleBase
    {
        public override void Init(HttpApplication context)
        {
            context.ReleaseRequestState += InjectScript;
        }

        private void InjectScript(object sender, EventArgs e)
        {
            string configuration = (string)ConfigurationManager.GetSection(ScriptInjectorSection.ConfigPath);
            HttpApplication application = (HttpApplication)sender;
            application.Response.Filter = new ScriptInjectionFilter(application.Response.Filter, application.Response.ContentEncoding, configuration);
        }
    }

}